/*
 * $Id: RequestParameter.java,v 1.3 2004/07/20 08:46:28 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: RequestParameter.java,v $
 * Revision 1.3  2004/07/20 08:46:28  jonyp
 * added copyright info + cvs log
 *
 *
 */

package vkc.util;
import java.io.Serializable;

public class RequestParameter implements Serializable{
	
	private String name  = "";
	private String value = "";
	
	public RequestParameter() {
	}

	public RequestParameter( String name, String value ) {
		setName( name );
		setValue( value );
	}

	public RequestParameter( String name, long value ) {
		setName( name );
		setValue( "" + value );
	}

	public String getName() {
		return name;
	}

	public String getValue() {
		return value;
	}

	public void setName(String string) {
		name = StringUtils.normalize( string );
	}

	public void setValue(String string) {
		value = StringUtils.normalize( string );
	}
}
